Resolution:    

Description

Is there an easy way to delete issue history?

("#123 has been renamed", "% done has been changed from x to y")

It would come handy for someone setting up an existing (real world-) project in redmine in a trial-error kind of style.

For me it takes a lot of iterations to find good from-/end dates, issue names, relations etc. Thats why my issue history is full of "spam"

after a while.

When I finally provide access to the customer, he can follow all my renaming steps and so on - which looks kind of indecisive.

Related issues:

Has duplicate Redmine - Feature #14678: Add the ability to delete auto comments Closed

History

#1 - 2013-07-26 05:41 - Toshi MARUYAMA

- Category set to Issues

#2 - 2014-01-17 14:57 - Ebrahim Mohammadi

Maybe it would be better to let user merge multiple comments together.

#3 - 2014-04-25 12:29 - Konstantin Ashaev

Yeah, some users edit their issues fairly often and it is becoming hard to see important notes which were made sometime ago.

#4 - 2015-01-29 22:56 - Patrik Halfar

- File redmine_delete_journal.patch added

Hi,

this request is older then year, anyway here is patch which add this functionality, (require enable permission for role, so it is possible disable it later).

The idea about merge some comments sound good as well, but not so simple for quickfix.

Another idea how to sovle this issue is possibility allow 'planning' phase for project -> in this phase any changes will save, so there is possible prepare

whole project without history of changes, and when ready for realization switch project to 'realization' phase, in this phase standard behavior as

current is and switch back to 'planning' phase should not be allowed.

Anyway I hope this patch help you.

#5 - 2015-08-31 16:07 - elek geek

I tried this one, thanks a lot. But, bear in mind that if a file is attached to the history post that you want to delete, the file stays there and you need to

manually delete the file from the file list in the yellow area of that issue.

I think it is better to handle this matter such that when a history post is deleted, the associated file with that post be deleted as well.

#6 - 2019-08-10 08:47 - Go MAEDA

- Has duplicate Feature #14678: Add the ability to delete auto comments added

#7 - 2019-08-27 11:47 - Forrest  Buchanan

User of this page delete issue history. For this sake people just not have any idea about writing services because they are not telling us about these
https://www.huffpost.com/entry/the-shocking-truth-about_b_7041934


kind of pages. I will trying to safe it but it's not possible. Anyhow hope i can safe it for me.

Files

redmine_delete_journal.patch 4.21 KB 2015-01-29 Patrik Halfar
